{****************************************************************}
{                                                                }
{       SmartBear AQtime Tutorial                                }
{       Knight Tour Sample Application                           }
{       Target compiler(s): Borland Delphi 3, 4, 5, 6, 7         }
{                                                                }
{       Copyright (c) 2011 SmartBear Software                    }
{       ALL RIGHTS RESERVED                                      }
{                                                                }
{****************************************************************}

unit UOptions;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  StdCtrls, Buttons, Spin, UKnight, ExtCtrls;

type
  TFrm_Options = class(TForm)
    Btn_OK: TBitBtn;
    BitBtn1: TBitBtn;
    Label1: TLabel;
    Spin_NumLines: TSpinEdit;
    Label2: TLabel;
    Chk_ShowBranchInfo: TCheckBox;
    Label3: TLabel;
    Spin_CellSide: TSpinEdit;
    Chk_ShowGraphics: TCheckBox;
    Spin_MovesDelay: TSpinEdit;
    Chk_WriteBranchesToFile: TCheckBox;
    Chk_WriteMaxBranchesToFile: TCheckBox;
    RdGr_ViewMode: TRadioGroup;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Frm_Options: TFrm_Options;

implementation

{$R *.DFM}

procedure TFrm_Options.FormCreate(Sender: TObject);
{ Sets MinValue and MaxValue of SpinEdit controls }
begin
  Spin_NumLines.MinValue := MinNumLines;
  Spin_NumLines.MaxValue := MaxNumLines;

  Spin_CellSide.MinValue := MinCellSide;
  Spin_CellSide.MaxValue := MaxCellSide;

  Spin_MovesDelay.MinValue := 0;
  Spin_MovesDelay.MaxValue := MaxMovesDelay;
end;

end.
